;;; ~/.doom.d/+ui.el -*- lexical-binding: t; -*-
;; Appearance settings
;; Set Font and theme
(setq doom-font (font-spec :family "Iosevka Fixed Medium" :size 24)
      doom-theme 'doom-nord)
;; Display Magit status in fullscreen
(after! magit
  (setq magit-display-buffer-function #'magit-display-buffer-fullframe-status-v1))
;; Match pdf-tools colors to the theme
(after! pdf-tools
  (setq pdf-view-midnight-colors '("#ECEFF4" . "#2E3440"))
  (add-hook 'pdf-tools-enabled-hook 'pdf-view-midnight-minor-mode))
;; Customize modeline
(setq doom-modeline-major-mode-icon t
      doom-modeline-persp-name t
      doom-modeline-buffer-encoding nil)
;; Hide direnv environment variables popup
(setq direnv-always-show-summary nil)
;; Disable LSP documentation popup
(after! lsp-ui
  (setq lsp-ui-doc-enable nil
        lsp-signature-auto-activate nil
        lsp-enable-symbol-highlighting nil
        lsp-ui-sideline-show-code-actions nil))
;; Shrink minibuffer
(after! ivy
  (setq ivy-height 12))
;; Eliminate gaps between windows
(after! frame
  (remove-hook 'doom-init-ui-hook #'window-divider-mode))
;; HACK: Disable Dart icon
(after! all-the-icons
  (add-to-list 'all-the-icons-data/file-icon-alist '("dart" . "D")))
